org.apache.velocity.tools.generic

## Class MarkupTool.Tag

- java.lang.Object
- - org.apache.velocity.tools.generic.MarkupTool.Tag

Enclosing class:
  MarkupTool

    public static class MarkupTool.Tag
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Tag(MarkupTool tool)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MarkupTool.Tag` `addClass(Object c)`
`MarkupTool.Tag` `append(Object o)`
`MarkupTool.Tag` `attr(Object k, Object v)`
`MarkupTool.Tag` `body(Object o)`
`List<Object>` `children()`
`MarkupTool.Tag` `id(Object id)`
`boolean` `isEmpty()`
`boolean` `isOrphan()`
`boolean` `matches(MarkupTool.Tag tag)`
`protected boolean` `missed(List<Object> targets, List<Object> arrows)`
`protected boolean` `missed(Object target, Object arrow)`
`MarkupTool.Tag` `name(Object name)`
`MarkupTool.Tag` `orphan()`
`MarkupTool.Tag` `parent()`
`MarkupTool.Tag` `parent(MarkupTool.Tag parent)`
`MarkupTool.Tag` `prepend(Object o)`
`protected void` `render_attributes(StringBuilder s)` Render tag attributes
`protected void` `render_body(String indent, StringBuilder s)` Render tag body
`protected void` `render_classes(StringBuilder s)` render tag classes
`protected void` `render_end(String indent, StringBuilder s)` Render tag end
`protected void` `render_id(StringBuilder s)` render tag id
`protected void` `render_name(StringBuilder s)` Render tag name
`protected boolean` `render_start(String indent, StringBuilder s)` Start tag rendering
`protected void` `render(String indent, StringBuilder s)` Render tag
`MarkupTool.Tag` `root()`
`String` `toString()`
`MarkupTool.Tag` `wrap(String tag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Tag

    public Tag(MarkupTool tool)

### Method Detail

#### name

    public MarkupTool.Tag name(Object name)

#### id

    public MarkupTool.Tag id(Object id)

#### addClass

    public MarkupTool.Tag addClass(Object c)

#### attr

    public MarkupTool.Tag attr(Object k,
                               Object v)

#### body

    public MarkupTool.Tag body(Object o)

#### append

    public MarkupTool.Tag append(Object o)

#### prepend

    public MarkupTool.Tag prepend(Object o)

#### wrap

    public MarkupTool.Tag wrap(String tag)

#### orphan

    public MarkupTool.Tag orphan()

#### parent

    public MarkupTool.Tag parent(MarkupTool.Tag parent)

#### parent

    public MarkupTool.Tag parent()

#### root

    public MarkupTool.Tag root()

#### children

    public List<Object> children()

#### isOrphan

    public boolean isOrphan()

#### isEmpty

    public boolean isEmpty()

#### matches

    public boolean matches(MarkupTool.Tag tag)

#### missed

    protected boolean missed(Object target,
                             Object arrow)

#### missed

    protected boolean missed(List<Object> targets,
                             List<Object> arrows)

#### render

    protected void render(String indent,
                          StringBuilder s)

Render tag

Parameters:
  `indent` - indentation string
  `s` - string builder

#### render_start

    protected boolean render_start(String indent,
                                   StringBuilder s)

Start tag rendering

Parameters:
  `indent` - indentation string
  `s` - string builder
Returns:
  whether a closing tag is needed

#### render_name

    protected void render_name(StringBuilder s)

Render tag name

Parameters:
  `s` - string builder

#### render_id

    protected void render_id(StringBuilder s)

render tag id

Parameters:
  `s` - string builder

#### render_classes

    protected void render_classes(StringBuilder s)

render tag classes

Parameters:
  `s` - string builder

#### render_attributes

    protected void render_attributes(StringBuilder s)

Render tag attributes

Parameters:
  `s` - string builder

#### render_body

    protected void render_body(String indent,
                               StringBuilder s)

Render tag body

Parameters:
  `indent` - indentation string
  `s` - string builder

#### render_end

    protected void render_end(String indent,
                              StringBuilder s)

Render tag end

Parameters:
  `indent` - indentation string
  `s` - string builder

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  string representation